dpkg-name(1)

NOM
dpkg-name - Redonne aux paquets Debian leur nom complet

SYNOPSIS
dpkg-name [option...] [--] fichier...

DESCRIPTION
This manual page documents the dpkg-name program which provides an easy way to rename Debian packages into their full package names. A full package name consists of package_version_architecture.package-type as specified in the control file of the package. The version part of the filename consists of the upstream version information optionally followed by a hyphen and the revision information. The package-type part comes from that field if present or will fall back to deb.

OPTIONS

-a, --no-architecture
    Le nom du fichier n'aura pas l'information sur l'architecture.

-k, --symlink
    Fait un lien symbolique plutôt qu'une transposition.

-o, --overwrite
    Remplace des fichiers existants s'ils ont le même nom que le fichier de destination.

-s, --subdir [rep]
    Met les fichiers dans un sous-répertoire. Si le répertoire donné en paramètre existe, les fichiers sont déplacés dans ce répertoire ; sinon le répertoire cible, extrait du champ « section » que contient la partie contrôle du paquet, sera « unstable/binary-architecture/section ». Quand aucune information sur la section n'est trouvée dans le fichier « control », la section est supposée être no-section. Dans ce cas, ainsi que si la section est non-free ou contrib, le répertoire cible est « section/binary-architecture ». Le champ « section » est facultatif ; aussi beaucoup de paquets sont dans la zone « no-section ».

    Warning: Use this option with care, it is messy.

-c, --create-dir
    On peut utiliser cette option avec l'option -s. Quand un répertoire cible n'est pas trouvé, il est créé automatiquement.

    Warning: Use this option with care.

-?, --help
    Afficher un message d'aide puis quitter.

-v, --version
    Afficher le numéro de version puis quitter.

ENVIRONNEMENT

DEB_HOST_ARCH
    Sets the host architecture. This affects the architecture name used in the package filename.

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    Si cette variable est définie, elle sera utilisée pour décider l'activation de la prise en charge des langues (NLS – Native Language Support), connu aussi comme la gestion de l'internationalisation (ou i18n) (depuis dpkg 1.19.0). Les valeurs permises sont : 0 et 1 (par défaut).

BOGUES
Some packages don't follow the name structure package_version_architecture.deb. Packages renamed by dpkg-name will follow this structure. Generally this will have no impact on how packages are installed by dselect(1)/dpkg(1), but other installation tools might depend on this naming structure.

EXEMPLES

dpkg-name bar-toto.deb
    Le nom du fichier bar-toto.deb devient bar-toto_1.0-2_i386.deb ou quelque chose de similaire suivant les renseignements que contient la partie de contrôle de bar-toto.deb.

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    Cette commande dpkg-name redonne leur nom complet à tous les fichiers qui se trouvent dans le répertoire /root/debian et ses sous-répertoires et qui possèdent une extension deb, mais supprime l'information sur l'architecture.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Ne faites pas ça ! L'archive sera complètement gâchée par des paquets qui ne possèdent pas d'informations sur la section. Ne faites pas ça !

dpkg-deb --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    On peut se servir de cette commande lors de la construction d'un nouveau paquet.

VOIR AUSSI
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.